package org.nl.acs.udw;

import lombok.Data;

import java.util.Date;

@Data
public class UnifiedData {
    private Object value;
    private Date last_modify_date;

    public UnifiedData() {
        this.last_modify_date = new Date();
    }

    public UnifiedData(Object value) {
        this.value = value;
        this.last_modify_date = new Date();
    }

    public void changeValue(Object value) {
        this.value = value;
        this.last_modify_date = new Date();
    }
}
